package core

import (
	"strconv"
	"strings"
)

// CreateLabel creates a label that is tied to this function by using a suffix.
func (f *Function) CreateLabel(prefix string, count int) string {
	tmp := strings.Builder{}
	tmp.WriteString(prefix)
	tmp.WriteString(" ")
	tmp.WriteString(strconv.Itoa(count))
	tmp.WriteString(" [")
	tmp.WriteString(f.UniqueName)
	tmp.WriteString("]")
	return tmp.String()
}
